Package org.eclipse.draw2d

# Class FlowLayout.WorkingData

java.lang.Object
org.eclipse.draw2d.FlowLayout.WorkingData

Enclosing class:
  `FlowLayout`

protected class FlowLayout.WorkingData extends Object
Holds the necessary information for layout calculations.

## Field Summary

Fields
Modifier and Type
Field
Description
`Rectangle`
`area`
`Rectangle[]`
`bounds`
`int`
`maxWidth`
`IFigure[]`
`row`
`int`
`rowCount`
`int`
`rowHeight`
`int`
`rowWidth`
`int`
`rowX`
`int`
`rowY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WorkingData()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bounds

public Rectangle[] bounds

### area

public Rectangle area

### row

public IFigure[] row

### rowHeight

public int rowHeight

### rowWidth

public int rowWidth

### rowCount

public int rowCount

### rowX

public int rowX

### rowY

public int rowY

### maxWidth

public int maxWidth

## Constructor Details

### WorkingData

protected WorkingData()